deskmenu(1)

NAME

deskmenu - A root menu for X

SYNTAX

deskmenu <argument>

DESCRIPTION

DeskMenu is a root menu program which is activated by clicking the root window. It is configured from a .deskmenurc file in your home directory, see example_rc for more details.

You can use deskmenu for session management by making it the last line of your .xinitrc and using the --quit command line option, which adds a quit option to the menu.

NOTE: Deskmenu will do nothing unless you have a ${HOME}/.deskmenurc file or a /etc/deskmenurc (/etc/deskmenurc.debian is automatically generated)
This manpage is specific to the debian package of deskmenu.
IMPORTANT NOTE: You have to set a keycode, when using this version of keylaunch, in your config file.

OPTIONS

-b, --button=n
    Sets which mouse button is used to invoke deskmenu

-f, --file=n
    Sets which config file will be used for deskmenu

--quit-menu
    Display a "Quit-Menu" in the deskmenu

--verbose
    Print more information

-h, --help
    Display a short help and exit

-V, --version
    Output version information and exit

--display
    Use an alternative display instead of $DISPLAY

The most common ways of invoking deskmenu

deskmenu --button=[1...5] --file=/home/user/.deskmenurc.example

FILES

${HOME}/.deskmenurc
/etc/deskmenurc.debian

RCFILE

# menuitem=label:command
# submenu=label
# menuitem=label:command
# endmenu=
# divider=
# windowlist=label
# workspaces=label
# include=/path/to/include_file
# keycode=modifier+keyname
# for example Control+Escape
# this keycode is used as "hotkey"
# to display the menu.
#

menuitem=Terminal:x-terminal-emulator
divider=
submenu=Programs
menuitem=The Gimp:gimp
menuitem=Netscape:netscape
endmenu=
menu=Multimedia
menuitem=GQmpeg:gqmpeg
menuitem=Audio Mixer:gmix
endmenu=
divider=
include=/etc/extra_menu
divider=
windowlist=Window List
workspaces=Workspaces

AUTHORS

Ken Lynch <kenlynch@blueyonder.co.uk> (c) 2001
Ken stopped developing on Deskmenu in late 2001.
Stefan Pfetzing <dreamind@dreamind.de> (c) 2002-2010
The current developer of Deskmenu.

This manpage was written for the Debian GNU/Linux package of this program by Brandon L. Griffith <brandon@debian.org> because the origonal program did not include one. You are free to edit, translate, convert, or otherwise do anything you wish with this manpage. This program was patched with a diff from Martin Hedenfalk <mhe@hjome.se> to allow submenu recursion. Updated and added to the official deskmenu by Stefan Pfetzing <dreamind@dreamind.de>

SEE ALSO

desklaunch(1) keylaunch(1) oroborus(1) dfm(1)